Bug 4176 - MIME missing from sys prefs interface
Summary: MIME missing from sys prefs interface
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: PC All
: P5 - low normal (vote)
Assignee: Galen Charlton
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-02-13 11:04 UTC by Nicole C. Engard
Modified: 2015-06-04 23:23 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:24:02 UTC


---- Reported by nengard@gmail.com 2010-02-13 23:04:16 ----

This preference is still in sysprefs.sql but doesn't appear in the sys prefs interface - is it used anymore? if so it needs to be added to the pref interface - if not then it needs to be removed from sysprefs.sql



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:24 UTC  ---

This bug was previously known as _bug_ 4176 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=4176

Actual time not defined. Setting to 0.0
The original assignee of this bug does not have
   an account here. Reassigning to the default assignee
   for the component, gmcharlt@gmail.com.
   Previous assignee was pianohacker@gmail.com.

Comment 1 Galen Charlton 2010-10-22 01:39:16 UTC
Patch pushed for inclusion in 3.2 (removing the syspref).  Please test and close.
Comment 2 MJ Ray (software.coop) 2010-11-10 08:49:26 UTC
This bug is mentioned in:
bug 4176: remove references to unimplemented	system preference MIME http://lists.koha-community.org/pipermail/koha-patches/2010-October/012703.html
Comment 3 Jesse Weaver 2010-12-23 01:57:32 UTC
sysprefs.sql no longer has this LINE in HEAD, fixing the bug as stated. While the 3.2 sysprefs editor doesn't show sysprefs that systempreferences.pl knows about, we should theoretically remove this syspref from the database.
Comment 4 Katrin Fischer 2014-07-12 10:23:21 UTC
Do we just miss a database update here removing the removed pref from old databases?
Comment 5 Katrin Fischer 2014-11-10 21:54:34 UTC
Appears to be fixed - I cannot find references to the old sys pref in the code base and the preferenece has been removed in a database update:

$DBversion = "3.02.00.001";
if (C4::Context->preference("Version") < TransformToNum($DBversion)) {
    $dbh->do(q{DELETE FROM systempreferences WHERE variable IN (
                'holdCancelLength',
                'PINESISBN',
                'sortbynonfiling',
                'TemplateEncoding',
                'OPACSubscriptionDisplay',
                'OPACDisplayExtendedSubInfo',
                'OAI-PMH:Set',
                'OAI-PMH:Subset',
                'libraryAddress',
                'kohaspsuggest',
                'OrderPdfTemplate',
                'marc',
                'acquisitions',
                'MIME')
               }